Save bank accounts
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/banks/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"accounts": [
{
"id": 123,
"apiAccountId": "<string>",
"apiAccountName": "Citi Premier® Card",
"apiAccountNo": "<string>",
"apiInstitutionId": "<string>",
"apiAccountType": "CREDIT",
"glAccountId": 123,
"defaultClientId": 123,
"defaultBusinessId": 123,
"tranStartDate": "2023-11-07T05:31:56Z",
"billingCycleStartDay": 16,
"scheduleClosings": true,
"syncTransactions": true,
"duplicateBankAccountIds": [
123
]
}
]
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/banks/accounts"
payload = { "accounts": [
{
"id": 123,
"apiAccountId": "<string>",
"apiAccountName": "Citi Premier® Card",
"apiAccountNo": "<string>",
"apiInstitutionId": "<string>",
"apiAccountType": "CREDIT",
"glAccountId": 123,
"defaultClientId": 123,
"defaultBusinessId": 123,
"tranStartDate": "2023-11-07T05:31:56Z",
"billingCycleStartDay": 16,
"scheduleClosings": True,
"syncTransactions": True,
"duplicateBankAccountIds": [123]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
accounts: [
{
id: 123,
apiAccountId: '<string>',
apiAccountName: 'Citi Premier® Card',
apiAccountNo: '<string>',
apiInstitutionId: '<string>',
apiAccountType: 'CREDIT',
glAccountId: 123,
defaultClientId: 123,
defaultBusinessId: 123,
tranStartDate: '2023-11-07T05:31:56Z',
billingCycleStartDay: 16,
scheduleClosings: true,
syncTransactions: true,
duplicateBankAccountIds: [123]
}
]
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/banks/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": {}
}Banks
Save bank accounts
Save a new (or update an existing) set of bank accounts
POST
/
v5
/
banks
/
accounts
Save bank accounts
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
accounts object
Show child attributes
Show child attributes
⌘I